<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>com.cimeyclust.addonreader.resources</groupId>
  <artifactId>CustomResources</artifactId>
  <version>1.1.0</version>
  <build>
    <defaultGoal>clean package</defaultGoal>
    <resources>
      <resource>
        <filtering>true</filtering>
        <directory>src/main/resources</directory>
      </resource>
    </resources>
    <finalName>${project.name}</finalName>
    <plugins>
      <plugin>
        <artifactId>maven-shade-plugin</artifactId>
        <version>3.3.0</version>
        <executions>
          <execution>
            <phase>package</phase>
            <goals>
              <goal>shade</goal>
            </goals>
            <configuration>
              <artifactSet>
                <excludes>
                  <exclude>cn.nukkit.nukkit</exclude>
                  <exclude>org.junit.jupiter.junit-jupiter-engine</exclude>
                </excludes>
              </artifactSet>
            </configuration>
          </execution>
        </executions>
      </plugin>
      <plugin>
        <artifactId>maven-compiler-plugin</artifactId>
        <configuration>
          <source>17</source>
          <target>17</target>
        </configuration>
      </plugin>
      <plugin>
        <artifactId>maven-surefire-plugin</artifactId>
        <version>2.22.0</version>
      </plugin>
    </plugins>
  </build>
  <repositories>
    <repository>
      <id>gitea</id>
      <url>https://repo.cimeyclust.com/api/packages/CimeyClust/maven</url>
    </repository>
  </repositories>
  <dependencies>
    <dependency>
      <groupId>cn.powernukkitx</groupId>
      <artifactId>powernukkitx</artifactId>
      <version>1.20.10-r1</version>
      <scope>provided</scope>
    </dependency>
  </dependencies>
  <distributionManagement>
    <repository>
      <id>gitea</id>
      <url>https://repo.cimeyclust.com/api/packages/CimeyClust/maven</url>
    </repository>
    <snapshotRepository>
      <id>gitea</id>
      <url>https://repo.cimeyclust.com/api/packages/CimeyClust/maven</url>
    </snapshotRepository>
  </distributionManagement>
  <properties>
    <maven.compiler.target>17</maven.compiler.target>
    <maven.compiler.source>17</maven.compiler.source>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
  </properties>
</project>
